Magnavox Odyssey 2 - Emulador O2em não encontra o caminho para o arquivo liballeg.so.4.0: cannot ope

1. Magnavox Odyssey 2 - Emulador O2em não encontra o caminho para o arquivo liballeg.so.4.0: cannot ope

Renan Marin de Souza
kfox

(usa Outra)

Enviado em 29/11/2021 - 09:32h

Prezados, bom dia, boa tarde e boa noite!

Estou tentando realizar a execução de um emulador de Magnavox Odyssey 2, o o2em (Versão 1.16) onde peguei através do site: http://o2em.sourceforge.net/.
Até aí, tranquilo, descompactei o arquivo, deixei ele no meu Desktop, baixei as bios, roms e tudo necessário para o funcionamento.
Porém ao tentar executar o shell, com o comando
./o2em /roms/PickAxePete.bin 

ele me retorna a seguinte mensagem:
./o2em: error while loading shared libraries: liballeg.so.4.0: cannot open shared object file: No such file or directory


Eu tentei já criar um link simbólico para a library do liballegro5.2, através do comando:
sudo ln -s /usr/lib/x86_64-linux-gnu/liballegro5.2 /usr/lib/x86_64-linux-gnu/liballeg.so.4.0
porém ele permaneceu com o erro.

Também desfiz o link simbólico e recriei outro com a library liballeggl.so.4.4, porém também não obtive sucesso.

Na documentação do programa, também não diz muita coisa sobre a library, apenas que é necessário instalá-la. Eu fui no Synaptic também e baixei todas as libraries disponíveis do liballegro para meu sistema, porém também não obtive sucesso.

As livrarias do liballegro em meu sistema são:

liballeggl4.4/now 2:4.4.3.1-1 amd64 [instalado,local]
library to mix OpenGL graphics with Allegro routines

liballegro-acodec5-dev/now 2:5.2.6.0-1 amd64 [instalado,local]
header files for the Allegro 5 audio codec addon

liballegro-acodec5.2/now 2:5.2.6.0-1 amd64 [instalado,local]
audio codec addon for the Allegro 5 library

liballegro-audio5-dev/now 2:5.2.6.0-1 amd64 [instalado,local]
header files for the Allegro 5 audio addon

liballegro-audio5.2/now 2:5.2.6.0-1 amd64 [instalado,local]
audio addon for the Allegro 5 library

liballegro-dialog5-dev/now 2:5.2.6.0-1 amd64 [instalado,local]
header files for the Allegro 5 dialog addon

liballegro-dialog5.2/now 2:5.2.6.0-1 amd64 [instalado,local]
dialog addon for the Allegro 5 library

liballegro-image5-dev/now 2:5.2.6.0-1 amd64 [instalado,local]
header files for the Allegro 5 image addon

liballegro-image5.2/now 2:5.2.6.0-1 amd64 [instalado,local]
image addon for the Allegro 5 library

liballegro-physfs5-dev/now 2:5.2.6.0-1 amd64 [instalado,local]
header files for the Allegro 5 physfs addon

liballegro-physfs5.2/now 2:5.2.6.0-1 amd64 [instalado,local]
physfs addon for the Allegro 5 library

liballegro-ttf5-dev/now 2:5.2.6.0-1 amd64 [instalado,local]
header files for the Allegro 5 ttf addon

liballegro-ttf5.2/now 2:5.2.6.0-1 amd64 [instalado,local]
ttf addon for the Allegro 5 library

liballegro-video5-dev/now 2:5.2.6.0-1 amd64 [instalado,local]
header files for the Allegro 5 video addon

liballegro-video5.2/now 2:5.2.6.0-1 amd64 [instalado,local]
video addon for the Allegro 5 library

liballegro4-dev/now 2:4.4.3.1-1 amd64 [instalado,local]
development files for the Allegro library

liballegro4.4/now 2:4.4.3.1-1 amd64 [instalado,local]
portable library for cross-platform game and multimedia development

liballegro5-dev/now 2:5.2.6.0-1 amd64 [instalado,local]
development files for the Allegro 5 library

liballegro5.2/now 2:5.2.6.0-1 amd64 [instalado,local]
portable library for cross-platform game and multimedia development

Eu sei que existe um outro emulador de Magnavox Odyssey para o MAME, mas eu gostaria muito de instalar esse versão, pois tem alguns jogos específicos que não rodam no MAME...

Desde já, agradeço por vossa disponibilidade e ajuda.



  


2. MELHOR RESPOSTA

José Lucas
NidoBr

(usa Manjaro Linux)

Enviado em 30/11/2021 - 10:18h

Baixei o fonte do site e realmente tá dando uns erro doido na compilação, mas peguei o que o Lutris usa, é a versão 1.18 e já esta compilada.
Se quiser tentar:
https://drive.google.com/file/d/1n_Amppg7vEaMgGq4HA7g1SzngWfwdSWR/view?usp=sharing

3. Re: Magnavox Odyssey 2 - Emulador O2em não encontra o caminho para o arquivo liballeg.so.4.0: cannot ope

Samuel Leonardo
SamL

(usa XUbuntu)

Enviado em 29/11/2021 - 10:39h

Execute isso:
ldd o2em
E você vai ver quais são as libs do o2em. Caso não encontre alguma, o ldd escreve que tá faltando.
Assim, você pode olhar como de fato está escrito a linkagem do allegro no programa.

No mais, já parou pra pensar que o binário é 32 bits e está procurando libs de 32 bits?

Poste a saída do ldd aqui caso não consiga resolver, pelo menos pra gente ver o que fazer.


4. Re: Magnavox Odyssey 2 - Emulador O2em não encontra o caminho para o arquivo liballeg.so.4.0: cannot ope

Samuel Leonardo
SamL

(usa XUbuntu)

Enviado em 29/11/2021 - 10:42h


SamL escreveu:
...
No mais, já parou pra pensar que o binário é 32 bits e está procurando libs de 32 bits?...

É isso mesmo, precisa de instalar libs 32 bits:
https://ubuntuforums.org/showthread.php?t=2377126
No link acima, diz o comando para instalar o allegro 4 para i386, no caso lib 32 bits.


5. Re: Magnavox Odyssey 2 - Emulador O2em não encontra o caminho para o arquivo liballeg.so.4.0: cannot

José Lucas
NidoBr

(usa Manjaro Linux)

Enviado em 29/11/2021 - 13:00h

Você vai precisar do "o2em v1.18" e a "liballeg.so.4.4", o jeito é compilar ou você pode tentar usar o Lutris ou o retroarch que possuem um runner do o2em.


6. Re: Magnavox Odyssey 2 - Emulador O2em não encontra o caminho para o arquivo liballeg.so.4.0: cannot ope

Renan Marin de Souza
kfox

(usa Outra)

Enviado em 30/11/2021 - 08:58h


SamL escreveu:


SamL escreveu:
...
No mais, já parou pra pensar que o binário é 32 bits e está procurando libs de 32 bits?...

É isso mesmo, precisa de instalar libs 32 bits:
https://ubuntuforums.org/showthread.php?t=2377126
No link acima, diz o comando para instalar o allegro 4 para i386, no caso lib 32 bits.


Pois é então, eu acabei tentando instalar desta forma, porém o sistema não encontrou nada, a propósito, o sistema que estou utilizando é o Elementary OS 6 Odin...
Vou tentar compilar na mão mesmo, como o outro colega disse abaixo... Mas obrigado mesmo assim.


7. Re: Magnavox Odyssey 2 - Emulador O2em não encontra o caminho para o arquivo liballeg.so.4.0: cannot ope

Renan Marin de Souza
kfox

(usa Outra)

Enviado em 30/11/2021 - 09:37h


NidoBr escreveu:

Você vai precisar do "o2em v1.18" e a "liballeg.so.4.4", o jeito é compilar ou você pode tentar usar o Lutris ou o retroarch que possuem um runner do o2em.


Eu consegui baixar uma versão pronta do o2em v1.18, o problema é que ele pede o liballeg.so.4.2 e não o 4.4, eu baixei o liballeg.4.2 no site oficial da Allegro, no entanto, quando eu tento fazer a compilação com o comando
./configure 
, ele me retorna essa mensagem:
configure: creating ./config.status
config.status: creating makefile
config.status: WARNING: 'makefile.in' seems to ignore the --datarootdir setting
config.status: creating allegro-config
config.status: creating include/allegro/platform/alunixac.h
config.status: executing default commands
makefile:421: *** recipe commences before first target. Stop.
makefile:421: *** recipe commences before first target. Stop.



Eu tentei verificar qual seria o problema na linha 421 (Que eu suponho que seja esta linha), mas não sei qual seria o problema, talvez eu tenha de abrir um outro tópico na parte de programação ou compilação de programas né?
Em todo caso, nas linhas de código 385 a 439 do arquivo configure, está assim:


(eval "as_func_return () {
(exit \$1)
}
as_func_success () {
as_func_return 0
}
as_func_failure () {
as_func_return 1
}
as_func_ret_success () {
return 0
}
as_func_ret_failure () {
return 1
}

exitcode=0
if as_func_success; then
:
else
exitcode=1
echo as_func_success failed.
fi

if as_func_failure; then
exitcode=1
echo as_func_failure succeeded.
fi

if as_func_ret_success; then
:
else
exitcode=1
echo as_func_ret_success failed.
fi

if as_func_ret_failure; then
exitcode=1
echo as_func_ret_failure succeeded.
fi

if ( set x; as_func_ret_success y && test x = \"\$1\" ); then
:
else
exitcode=1
echo positional parameters were not saved.
fi

test \$exitcode = 0") || {
echo No shell found that supports shell functions.
echo Please tell [email protected] about your system,
echo including any error possibly output before this message.
echo This can help us improve future autoconf versions.
echo Configuration will now proceed without shell functions.
}



8. Re: Magnavox Odyssey 2 - Emulador O2em não encontra o caminho para o arquivo liballeg.so.4.0: cannot ope

Renan Marin de Souza
kfox

(usa Outra)

Enviado em 30/11/2021 - 11:12h


NidoBr escreveu:

Baixei o fonte do site e realmente tá dando uns erro doido na compilação, mas peguei o que o Lutris usa, é a versão 1.18 e já esta compilada.
Se quiser tentar:
https://drive.google.com/file/d/1n_Amppg7vEaMgGq4HA7g1SzngWfwdSWR/view?usp=sharing


NidoBR, muito obrigado! Com esse emulador deu certo (Você pegou aonde? No site do Lutris?), eu consegui baixar o liballegro4.4 como você havia dito no site https://ubuntu.pkgs.org/20.04/ubuntu-universe-amd64/liballegro4.4_4.4.3.1-1_amd64.deb.html e instalei ele via pacote .deb no meu sistema e deu certinho!

Agora consigo jogar o trans american rally do odyssey 2, valeu mesmo!!!




9. Re: Magnavox Odyssey 2 - Emulador O2em não encontra o caminho para o arquivo liballeg.so.4.0: cannot ope

José Lucas
NidoBr

(usa Manjaro Linux)

Enviado em 30/11/2021 - 11:20h


kfox escreveu:


NidoBr escreveu:

Baixei o fonte do site e realmente tá dando uns erro doido na compilação, mas peguei o que o Lutris usa, é a versão 1.18 e já esta compilada.
Se quiser tentar:
https://drive.google.com/file/d/1n_Amppg7vEaMgGq4HA7g1SzngWfwdSWR/view?usp=sharing


NidoBR, muito obrigado! Com esse emulador deu certo (Você pegou aonde? No site do Lutris?), eu consegui baixar o liballegro4.4 como você havia dito no site https://ubuntu.pkgs.org/20.04/ubuntu-universe-amd64/liballegro4.4_4.4.3.1-1_amd64.deb.html e instalei ele via pacote .deb no meu sistema e deu certinho!

Agora consigo jogar o trans american rally do odyssey 2, valeu mesmo!!!



Que bom que deu certo, peguei nesse site do Lutris https://lutris.net/files/runners/ e já coloquei a bios pra testar.






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts